#ifndef lint
static char sccs_id[] = "%W%	(TriChlor) %G% %U%";
#endif  /* lint */

#include <stdio.h>
#include <portable.h>
#include <fcntl.h>

u_char	buf[1024];


Usage()
{
    fprintf(stderr, "Usage: vn80to81 [input file] [output file]\n");
    fprintf(stderr, "       If file names not specified, stdio is used.\n");
    fprintf(stderr, "\n");
    fprintf(stderr, "Purpose: converts files from VISCII 1.0 to VISCII 1.1\n");
    fprintf(stderr, "Version: VISCII 1.1\n");
    fprintf(stderr, "Author:  Cuong T. Nguyen (cuong@haydn.Stanford.EDU)\n");
    fprintf(stderr, "         TriChlor Software Group---Copyrighted Freeware\n");
    exit(1);
}


main(ac, av)
    int		ac;
    char	*av[];
{
    int		in, out;
    u_char	*scan;
    int		n, m;

    in = 0; out = 1;

    if (ac > 1 && av[1]) {
	if (av[1][0] == '-') Usage();

	in = open(av[1], O_RDONLY);
	if (in < 0) {
	    perror(av[1]);
	    Usage();
	}
    }

    if (ac > 2 && av[2]) {
	out = open(av[2], O_WRONLY | O_CREAT | O_TRUNC, 0777);
	if (out < 0) {
	    perror(av[2]);
	    Usage();
	}
    }


    while ( (n = read(in, buf, sizeof(buf))) > 0 ) {
	for (scan = buf, m = 0; m < n; m++, scan++) {
	    switch(*scan) {
	    case 160: *scan = 213 ; break;
	    case 213: *scan = 160 ; break;
	    default: break;
	    }
	}
	if (write(out, buf, n) != n) {
	    perror(av[1]);
	    close(in);
	    close(out);
	    exit(1);
	}
    }

    close(in);
    close(out);
    exit(0);
}
